Cantera 2.6.0

Classes | Typedefs | Functions | Variables
Transport Properties for Species in Phases
Models of Phases of Matter

These classes provide transport properties. More...

Collaboration diagram for Transport Properties for Species in Phases:

## Classes
class | MMCollisionInt
| Calculation of Collision integrals. More...
class | DustyGasTransport
| Class DustyGasTransport implements the Dusty Gas model for transport in porous media. More...
class | GasTransport
| Class GasTransport implements some functions and properties that are shared by the MixTransport and MultiTransport classes. More...
class | HighPressureGasTransport
| Class MultiTransport implements transport properties for high pressure gas mixtures. More...
class | IonGasTransport
| Class IonGasTransport implements Stockmayer-(n,6,4) model for transport of ions. More...
class | MixTransport
| Class MixTransport implements mixture-averaged transport properties for ideal gas mixtures. More...
class | MultiTransport
| Class MultiTransport implements multicomponent transport properties for ideal gas mixtures. More...
class | Transport
| Base class for transport property managers. More...
class | TransportFactory
| Factory class for creating new instances of classes derived from Transport. More...
class | UnityLewisTransport
| Class UnityLewisTransport implements the unity Lewis number approximation for the mixture-averaged species diffusion coefficients. More...
class | WaterTransport
| Transport Parameters for pure water. More...

## Typedefs
typedef int | VelocityBasis
| The diffusion fluxes must be referenced to a particular reference fluid velocity. More...

## Functions
shared_ptr< Transport > | newTransport (ThermoPhase *thermo, const std::string &model="default")
| Create a new Transport instance. More...
Transport * | newDefaultTransportMgr (ThermoPhase *thermo, int loglevel=0)
| Create a new transport manager instance. More...

## Variables
const VelocityBasis | VB_MASSAVG = -1
const VelocityBasis | VB_MOLEAVG = -2
| Diffusion velocities are based on the mole averaged velocities. More...
const VelocityBasis | VB_SPECIES_0 = 0
| Diffusion velocities are based on the relative motion wrt species 0. More...
const VelocityBasis | VB_SPECIES_1 = 1
| Diffusion velocities are based on the relative motion wrt species 1. More...
const VelocityBasis | VB_SPECIES_2 = 2
| Diffusion velocities are based on the relative motion wrt species 2. More...
const VelocityBasis | VB_SPECIES_3 = 3
| Diffusion velocities are based on the relative motion wrt species 3. More...

## Detailed Description

These classes provide transport properties.

## Typedef Documentation

## ◆ VelocityBasis

typedef int VelocityBasis

The diffusion fluxes must be referenced to a particular reference fluid velocity.

Most typical is to reference the diffusion fluxes to the mass averaged velocity, but referencing to the mole averaged velocity is suitable for some liquid flows, and referencing to a single species is suitable for solid phase transport within a lattice. Currently, the identity of the reference velocity is coded into each transport object as a typedef named VelocityBasis, which is equated to an integer. Negative values of this variable refer to mass or mole-averaged velocities. Zero or positive quantities refers to the reference velocity being referenced to a particular species. Below are the predefined constants for its value.

- VB_MASSAVG Diffusion velocities are based on the mass averaged velocity
- VB_MOLEAVG Diffusion velocities are based on the mole averaged velocities
- VB_SPECIES_0 Diffusion velocities are based on the relative motion wrt species 0
- ...
- VB_SPECIES_3 Diffusion velocities are based on the relative motion wrt species 3

Definition at line 62 of file TransportBase.h.

## Function Documentation

## ◆ newTransport()

shared_ptr< Transport > newTransport | ( | ThermoPhase * | thermo,
|  | const std::string & | model = `"default"`
| ) |  |
| inline

Create a new Transport instance.

Parameters

  thermo | the ThermoPhase object associated with the phase
  model | name of transport model; if "default", the default transport model for the ThermoPhase object is created

Returns
  a Transport object for the phase

Definition at line 107 of file TransportFactory.h.

References TransportFactory::factory(), and TransportFactory::newTransport().

## ◆ newDefaultTransportMgr()

Transport * newDefaultTransportMgr | ( | ThermoPhase * | thermo,
|  | int | loglevel = `0`
| ) |  |

Create a new transport manager instance.

Parameters

  thermo | ThermoPhase object associated with the phase
  loglevel | int containing the Loglevel, defaults to zero

Returns
  a transport manager for the phase

Definition at line 113 of file TransportFactory.cpp.

References TransportFactory::factory(), and TransportFactory::newTransport().

Referenced by Cantera::newSolution().

## Variable Documentation

## ◆ VB_MASSAVG

const VelocityBasis VB_MASSAVG = -1

Diffusion velocities are based on the mass averaged velocity

Definition at line 69 of file TransportBase.h.

## ◆ VB_MOLEAVG

const VelocityBasis VB_MOLEAVG = -2

Diffusion velocities are based on the mole averaged velocities.

Definition at line 71 of file TransportBase.h.

## ◆ VB_SPECIES_0

const VelocityBasis VB_SPECIES_0 = 0

Diffusion velocities are based on the relative motion wrt species 0.

Definition at line 73 of file TransportBase.h.

## ◆ VB_SPECIES_1

const VelocityBasis VB_SPECIES_1 = 1

Diffusion velocities are based on the relative motion wrt species 1.

Definition at line 75 of file TransportBase.h.

## ◆ VB_SPECIES_2

const VelocityBasis VB_SPECIES_2 = 2

Diffusion velocities are based on the relative motion wrt species 2.

Definition at line 77 of file TransportBase.h.

## ◆ VB_SPECIES_3

const VelocityBasis VB_SPECIES_3 = 3

Diffusion velocities are based on the relative motion wrt species 3.

Definition at line 79 of file TransportBase.h.